#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
%define		majorver	%(echo %{version} | cut -d '.' -f1,2)
#-----------------------------------------------------------------------------
Name		:	gmime-old
Version		:	2.6.23
Release		:	17.2.0.rel%{?dist}
Summary		:	Utilities for parsing and creating messages using the Multipurpose Internet Mail Extension (MIME) 
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://ftp.gnome.org/pub/gnome/sources/gmime

Source0		:	%{sname}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	gtk-doc
BuildRequires	:	gobject-introspection
BuildRequires	:	libgpg-error
#-----------------------------------------------------------------------------
%description
GMime is a C/C++ library which may be used for the creation
and parsing of messages using the Multipurpose Internet Mail
Extension (MIME) as defined by [numerous IETF specifications]
(https://github.com/jstedfast/gmime/blob/master/RFCs.md).

GMime features an extremely robust high-performance parser
designed to be able to preserve byte-for-byte information
allowing developers to re-seralize the parsed messages back
to a stream exactly as the parser found them. It also features
integrated GnuPG and S/MIME v3.2 support.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{sname}-%{majorver}/%{sname}/*.h
%{_libdir}/lib%{sname}-%{majorver}.so*
%{_libdir}/pkgconfig/%{sname}-%{majorver}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/*.{html,png}
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/%{sname}-%{majorver}.devhelp2
%{_datadir}/gtk-doc/html/%{sname}-%{majorver}/style.css

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-vala=no				\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
